Subject: D, as being the only market of any consequence between

From: Dickensheets Lolli <[email-masked]>
Date: Sat, 15 Aug 2009 16:34:51 +0200

In his _Scottish Land-Names: their Origin and Meaning_, gives as the
derivation of Duncrub, the old Gaelic dun craeb=hill of the trees. [9]
Otherwise spelt _Mormaer_. Except that the constituent elements are
inverted, it is the same word as _Maormor_ (Gael. _maer, maor_, a
steward, and _mor_, great), and was the ancient name for a royal steward
of high dignity, placed by a Scottish king over a province, and acting
as a royal deputy. [10] Robertson's _Early Kings_ (Vol. I., p. 77). [11]
Sir Herbert Maxwell states th